const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let properties = {};
    for (let property of vars.loop.properties) {
      properties[property.name] = property.value;
    }

    Mesa.log.info("properties", properties);
    Mesa.trigger.setTaskExternalData({
      "label": JSON.stringify(properties),
    });

    Mesa.output.next(properties);
  }
}
